> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> This API is deprecated please use Reset User/GroupConversation API

# Delete Conversation

<Warning>
  **This endpoint is deprecated** and will be removed in a future API version.

  Use the type-specific endpoints instead:

  | Old Endpoint                             | New Endpoint                                                               |
  | ---------------------------------------- | -------------------------------------------------------------------------- |
  | `DELETE /conversations/{conversationId}` | `DELETE /users/{uid}/conversation` or `DELETE /groups/{guid}/conversation` |

  **Migration example:**

  ```bash theme={null}
  # Old (deprecated):
  curl -X DELETE "https://appid.api-us.cometchat.io/v3/conversations/user_cometchat-uid-1_user_cometchat-uid-2" \
    -H "apikey: YOUR_API_KEY"

  # New (recommended) — for a user conversation:
  curl -X DELETE "https://appid.api-us.cometchat.io/v3/users/cometchat-uid-2/conversation" \
    -H "apikey: YOUR_API_KEY" \
    -H "onBehalfOf: cometchat-uid-1"
  ```
</Warning>


## OpenAPI

````yaml delete /conversations/{conversationId}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /conversations/{conversationId}:
    delete:
      tags:
        - Conversations
      summary: Delete Conversation
      description: This API is deprecated please use Reset User/GroupConversation API
      operationId: delete-conversation
      parameters:
        - name: onBehalfOf
          in: header
          description: UID of the user on whose behalf the action is performed.
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/conversationId'
      responses:
        '200':
          description: Deleted Conversations
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: object
                type: object
              example:
                data:
                  success: true
                  message: >-
                    The conversation group_project-group has been deleted
                    successfully for all the users.
      deprecated: true
      security:
        - apiKey: []
components:
  parameters:
    conversationId:
      name: conversationId
      in: path
      description: (Required) conversation id
      required: true
      schema:
        type: string
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````